Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XDocumentEntrySubject

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XDocumentEntrySubject

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XDocumentEntrySubject

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XDocument Entry Subject', and utility methods for working with them. abstDomain: V19367 (C-0-D11555-V13940-V19367-cpt)

See Also:
  `CDAR2Package.getXDocumentEntrySubject()`

Field Summary
`static int` | `PAT` The 'PAT' literal value.
`static XDocumentEntrySubject` | `PAT_LITERAL` The 'PAT' literal object.
`static int` | `PRS` The 'PRS' literal value.
`static XDocumentEntrySubject` | `PRS_LITERAL` The 'PRS' literal object.
`static int` | `SPEC` The 'SPEC' literal value.
`static XDocumentEntrySubject` | `SPEC_LITERAL` The 'SPEC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XDocument Entry Subject' enumerators.

Method Summary
`static XDocumentEntrySubject` | `get(int value)` Returns the 'XDocument Entry Subject' literal with the specified integer value.
`static XDocumentEntrySubject` | `get(java.lang.String literal)` Returns the 'XDocument Entry Subject' literal with the specified literal value.
`static XDocumentEntrySubject` | `getByName(java.lang.String name)` Returns the 'XDocument Entry Subject' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SPEC

    public static final int SPEC

  The 'SPEC' literal value.

  If the meaning of 'SPEC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPEC_LITERAL`, Constant Field Values

### PAT

    public static final int PAT

  The 'PAT' literal value.

  If the meaning of 'PAT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PAT_LITERAL`, Constant Field Values

### PRS

    public static final int PRS

  The 'PRS' literal value.

  If the meaning of 'PRS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRS_LITERAL`, Constant Field Values

### SPEC_LITERAL

    public static final XDocumentEntrySubject SPEC_LITERAL

  The 'SPEC' literal object.

  See Also:
    `SPEC`

### PAT_LITERAL

    public static final XDocumentEntrySubject PAT_LITERAL

  The 'PAT' literal object.

  See Also:
    `PAT`

### PRS_LITERAL

    public static final XDocumentEntrySubject PRS_LITERAL

  The 'PRS' literal object.

  See Also:
    `PRS`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XDocument Entry Subject' enumerators.

Method Detail

### get

    public static XDocumentEntrySubject get(java.lang.String literal)

  Returns the 'XDocument Entry Subject' literal with the specified literal value.

### getByName

    public static XDocumentEntrySubject getByName(java.lang.String name)

  Returns the 'XDocument Entry Subject' literal with the specified name.

### get

    public static XDocumentEntrySubject get(int value)

  Returns the 'XDocument Entry Subject' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD